Subject: Fw: AS3 Discusion - Introduction

From: Paul V Ford-Hutchinson <[email-masked]>
Date: Tue, 15 Nov 2005 15:41:24 +0000

FYI, this (FTP over SSL) is now RFC4217

Cheers,
Paul

--
Paul Ford-Hutchinson, CISSP :  eCommerce application security
e: [email-masked]
e: [email-masked]
e: [email-masked]
p: MPT-6, IBM , PO Box 31, Birmingham Rd, Warwick, CV34 5JL 
t: +44 (0)1926 462005
w: http://www.ford-hutchinson.com/~fh-1-pfh/ftps-ext.html

-
----- Forwarded by Paul V Ford-Hutchinson/UK/GINTL/IDE on 15/11/2005 15:38 
-----

Paul V Ford-Hutchinson/UK/GINTL/IDE 
21/10/2005 19:16

To
<[email-masked]>
cc

Subject
AS3 Discusion - Introduction

Hi there, 

Isn't draft-murray-auth-ftp-ssl-16.txt missing from this list?

It appears to be mandated in section 6.1 (I'm assuming that the reference 
to [MURRAY] is just this).

Paul.

--
Paul Ford-Hutchinson, CISSP :  eCommerce application security
e: [email-masked]
e: [email-masked]
p: MPT-6, IBM , PO Box 31, Birmingham Rd, Warwick, CV34 5JL 
t: +44 (0)1926 462005
w: http://www.ford-hutchinson.com/~fh-1-pfh/ftps-ext.html

__________________

Open for discussion

1.   Introduction

Previous work on Internet EDI focused on specifying MIME content types
for EDI data [2] and extending this work to support secure EC/EDI
transport over SMTP [5].  This document expands on RFC 1767 to specify
a comprehensive set of data security features, specifically data
privacy, data integrity, authenticity, non-repudiation of origin and
non-repudiation of receipt over FTP.  This document also recognizes
contemporary RFCs and is attempting to "re-invent" as little as
possible. While this document focuses on EDI data, any other data type
describable in a MIME format are also supported.

Internet MIME based EDI can be accomplished by using and complying
with the following RFC's and Internet drafts:

-RFC 959  File Transfer Protocol
-RFC 2228 FTP Security Extensions
-RFC 1767 EDI Content Type
-RFC 3023 XML Media Types
-RFC 1847 Security Multiparts for MIME
-RFC 1892 Multipart/Report
-RFC 2045 to 2049 MIME RFC's
-RFC 2298 Message Disposition Notification
-RFC 2630, 2632, 2633: S/MIME v3 Specifications
-RFC 3274 Compressed Data Content for Cryptographic Message
Syntax
-draft-ietf-ediint-compression-02.txt

Our intent here is to define clearly and precisely how these are used
together, and what is required by user agents to be compliant with
this document.

The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL   NOT",
"SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and  "OPTIONAL" in this
document are to be interpreted as described in RFC 2119.
*****************************************************

Terry Harding
Cyclone Commerce Inc.